using System;

namespace EKSKURZIJA
{
    class Program
    {
        static void Main(string[] args)
        {
            int T = int.Parse(Console.ReadLine());
            for (int i = 0; i < T; i++)
            {
                bool ok = false;
                string[] s = Console.ReadLine().Split();
                int N = int.Parse(s[0]);
                long M = long.Parse(s[1]);
                int K = int.Parse(s[2]);
                int j = 0;
                while(j < N / 2 && !ok)
                {
                    ok = Raspodela(M - (K - 1) * (N / K) * (N / K + 1) / 2 + j * (N / K), (int)Math.Ceiling((double)N / K) + j);
                    j++;
                }
                if (ok)
                {
                    Console.WriteLine("Tak");
                }
                else
                {
                    Console.WriteLine("Nie");
                }
            }
        }

        static bool Raspodela(long n, int a)
        {
            long i = 1;
            long br = 0;
            while (n >= i && br != a)
            {
                br++;
                n -= i;
                i++;
            }
            if (n != 0 && n > i - 1)
            {
                br = br + 1;
            }
            return br >= a;
        }
    }
}